dcl_settings : default_dcl_settings { audit_level = 3; }
//
// dialogues for LITIO V1.3
//
number_box : edit_box {
         edit_limit = 14 ;
         edit_width = 10 ;
      }
opttogg : toggle {
         width = 8 ;
         fixed_width = true ;
      }
optradbut : radio_button {
         width = 8 ;
         fixed_width = true ;
      }
actbuttom : button {
            width = 10 ;
            fixed_width=true;
            alignment=centered;
         }
bigdialimag : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 60 ;
      }
//
t_box : number_box {
    key = "t-t0";
    label = "T:";
    mnemonic = "T";
}
t1_box : number_box {
    key = "t-t1";
    label = "T1:";
    mnemonic = "T";
}
h_box : number_box {
    key = "t-h0";
    label = "H:";
    mnemonic = "H";
}
h1_box : number_box {
    key = "t-h1";
    label = "H1:";
    mnemonic = "H";
}
l_box : number_box {
    key = "t-l0";
    label = "L:";
    mnemonic = "L";
}
l1_box : number_box {
    key = "t-l1";
    label = "L1:";
    mnemonic = "L";
}
xoff_box : number_box {
    key = "t-xoff";
    label = "Offset X:";
    mnemonic = "X";
}
yoff_box : number_box {
    key = "t-yoff";
    label = "Offset Y:";
    mnemonic = "Y";
}
woff_box : number_box {
    key = "t-woff";
    label = "WO [weld offset]:";
    mnemonic = "W";
}
cgap_box : number_box {
    key = "t-cg";
    label = "CG [cutting gap]:";
    mnemonic = "W";
}
d_box : number_box {
    key = "t-d0";
    label = "D:";
    mnemonic = "D";
}
d1_box : number_box {
    key = "t-d1";
    label = "D1:";
    mnemonic = "D";
}
d2_box : number_box {
    key = "t-d2";
    label = "D2:";
    mnemonic = "D";
}
a_box : number_box {
    key = "t-a0";
    label = "A [Angle]:";
    mnemonic = "A";
}
a1_box : number_box {
    key = "t-a1";
    label = "A1 [Angle]:";
    mnemonic = "A";
}
x1_box : number_box {
    key = "t-x1";
    label = "X1:";
    mnemonic = "X";
}
y1_box : number_box {
    key = "t-y1";
    label = "Y1:";
    mnemonic = "Y";
}
r1_box : number_box {
    key = "t-r1";
    label = "R1:";
    mnemonic = "R";
}
x2_box : number_box {
    key = "t-x2";
    label = "X2:";
    mnemonic = "X";
}
y2_box : number_box {
    key = "t-y2";
    label = "Y2:";
    mnemonic = "Y";
}
r2_box : number_box {
    key = "t-r2";
    label = "R2:";
    mnemonic = "R";
}
nn_box : number_box {
    key = "t-nn";
    label = "n [parts]:";
    mnemonic = "n";
}
seams1_opt : optradbut {
    key = "t-1s";
    label = "Seam 1 only";
    mnemonic = "1";
}
seams2_opt : optradbut {
    key = "t-2s";
    label = "Seams 1 and 2";
    mnemonic = "2";
}
exist_opt : opttogg {
    key = "t-exist";
    label = "Existing pipe";
    mnemonic = "x";
}
nohole_opt : opttogg {
    key = "t-nhole";
    label = "Main without hole";
    mnemonic = "w";
}
plane1_but : actbuttom {
            label="Plane 1...";
            mnemonic = "1";
            key="t_plane1";
}
plane2_but : actbuttom {
            label="Plane 2...";
            mnemonic = "2";
            key="t_plane2";
}
nocut_but : actbuttom {
            label="No cut";
            mnemonic = "N";
            key="t_nocut";
}
half_rad : optradbut {
            label="Two halves";
            mnemonic = "h";
            key="t_2half";
}
tot_rad : optradbut {
            label="One piece ";
            mnemonic = "p";
            key="t_1piece";
}
//
px1_box : number_box {
    key = "t-px1";
    label = "PX1:";
    mnemonic = "X";
}
py1_box : number_box {
    key = "t-py1";
    label = "PY1:";
    mnemonic = "Y";
}
pz1_box : number_box {
    key = "t-pz1";
    label = "PZ1:";
    mnemonic = "Z";
}
px2_box : number_box {
    key = "t-px2";
    label = "PX2:";
    mnemonic = "X";
}
py2_box : number_box {
    key = "t-py2";
    label = "PY2:";
    mnemonic = "Y";
}
pz2_box : number_box {
    key = "t-pz2";
    label = "PZ2:";
    mnemonic = "Z";
}
px3_box : number_box {
    key = "t-px3";
    label = "PX3:";
    mnemonic = "X";
}
py3_box : number_box {
    key = "t-py3";
    label = "PY3:";
    mnemonic = "Y";
}
pz3_box : number_box {
    key = "t-pz3";
    label = "PZ3:";
    mnemonic = "Z";
}
ax_box : number_box {
    key = "t-ax";
    label = "AX [Angle]:";
    mnemonic = "A";
}
ay_box : number_box {
    key = "t-ay";
    label = "AY [Angle]:";
    mnemonic = "A";
}
//
//-------- Subassemblies shared across several dialogues -------
//
gen1col : boxed_column {
      key = "tgener1" ;
      label = "Bottom" ;
x1_box;
y1_box;
r1_box;
}
//
gen1coldia : boxed_column {
      key = "tgenerdia" ;
      label = "Bottom" ;
x1_box;
y1_box;
r1_box;
   : text {
         label = "or" ;
      }
d1_box;
}
//
gen2col : boxed_column {
      key = "tgener2" ;
      label = "Top" ;
x2_box;
y2_box;
r2_box;
}
//
gen2coldia : boxed_column {
      key = "tgenerdia2" ;
      label = "Top" ;
x2_box;
y2_box;
r2_box;
   : text {
         label = "or" ;
      }
d2_box;
}
rowseam : boxed_radio_row {
      label = "Seams";
      key = "t-rowseam";
      seams1_opt;
      seams2_opt;
}
colseam : boxed_radio_column {
      label = "Seams";
      key = "t-colseam";
      seams1_opt;
      seams2_opt;
}
//
//
//
//-------- The dialogues themselves -------
//
dl00 :dialog {
   label="LITIO - (c) 2004 by J.M. Lavric - Start dialogue";
   key="d-dl00";
   :row {
      :column {
         :image_button {
            key="t-imag1";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag4";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag7";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
      }
      :column {
         :image_button {
            key="t-imag2";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag5";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag8";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
      }
      :column {
         :image_button {
            key="t-imag3";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag6";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
         :image_button {
            key="t-imag9";
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
      }
   }
   spacer_1;
   :row {
      children_fixed_width=true;
      :button {
         width=16;
         label= "Settings...";
         key="t-conf";
      }
      :button {
         width=16;
         label= "More...";
         key="t-more";
      }
   }
   :row {
   errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: configuration -------
//
dl0 : dialog { 
  key = "t-diacnfg" ;
  label = "LITIO - Settings" ;
   : row {
      key = "t_fdconf" ;
      : column {
            bigdialimag;
   :boxed_row {
            label = "Draw" ;
            : opttogg {
               key = "t_d3dm" ;
               label = "3D Mesh" ;
               mnemonic = "3" ;
            }
            : opttogg {
               key = "t_d2dm" ;
               label = "2D unfolded Mesh" ;
               mnemonic = "u" ;
            }
            : opttogg {
               key = "t_d2dc" ;
               label = "2D contour" ;
               mnemonic = "2" ;
            }
   }
      }
      : column {
         key = "t-configcontrols" ;
         : boxed_radio_column {
            key = "t-confmeas" ;
            label = "Measures" ;
             : optradbut { 
               key = "t-minn" ;
               label = "In" ;
               mnemonic = "I" ;
               }
               : optradbut { 
               key = "t-mmid" ;
               label = "Mid" ;
               mnemonic = "M" ;
               }
               : optradbut { 
               key = "t-mout" ;
               label = "Out" ;
               mnemonic = "O" ;
               }
         }
         : boxed_radio_column {
            key = "t-confhigh" ;
            label = "Height" ;
             : optradbut { 
               key = "t-hinn" ;
               label = "In" ;
               mnemonic = "I" ;
            }
            : optradbut {
               key = "t-hmid" ;
               label = "Mid" ;
               mnemonic = "M" ;
            }
            : optradbut {
               key = "t-hout" ;
               label = "Out" ;
               mnemonic = "O" ;
            }
         }
         : boxed_column {
            label = "Precision" ;
      : popup_list {
        label = "Divisions:";
        mnemonic = "P";
        key = "t-listprec";
        edit_width = 6;
        list = "36\n48\n72\n96\n144\n180\n240\n360";
      }
        }
         }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: rounded rectangle to rounded rectangle -------
//
dl8 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rounded rectangle to rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
      }
      : column {
         key = "t-dialinput" ;
         width = 20 ;
         gen1col;
         gen2col;
          : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
          }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl9 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Bifurcation - Rounded rectangle to rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
      }
      : column {
        key = "t-dialinput" ;
        gen1col;
        gen2col;
          : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
          }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl31 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rounded rectangle to rounded rectangle - cut" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
  : boxed_row {
            width = 20 ;
            key = "tcut" ;
            label = "Cutting planes" ;
            plane1_but;
            plane2_but;
   }
            }
      : column {
         width = 20 ;
         key = "t-dialinput" ;
         gen1col;
         gen2col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
    }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: Bifurcation and Bends -------
//
dl17 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cylinder to cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl16 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cylinder to cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl11 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cone to Cylinder Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl10 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cone to Cylinder Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl14 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cone to Cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl13 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cone to Cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: various -------
//
dl28 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cut Cylinder" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
: column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            d_box;
         }
plane1_but;
plane2_but;
    }
  }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cone" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Offset Cone" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Round to round Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues  -------
//
dl12 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Bend - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            d_box;
            l_box;
            a_box;
       }
           exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl21 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Branch - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            h1_box;
            d_box;
            l_box;
            a_box;
         }
      : boxed_column {
           exist_opt;
           nohole_opt;
      }
           }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl15 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Bifurcation - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            l_box;
            l1_box;
            d_box;
            a_box;
            a1_box;
         }
           exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [2] -------
//
dl18 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Bend - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            d_box;
            a_box;
            r1_box;
            nn_box;
            l_box;
            l1_box;
            cgap_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl29 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Cut Cylinder - Rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
: column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            x1_box;
            y1_box;
            r1_box;
         }
plane1_but;
plane2_but;
    }
  }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangle to round " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            d2_box;
            t_box;
            h_box;
         }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangle to round - Offset" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Bifurcation - Rectangle to round " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [3] -------
//
dl7 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangle to Rectangle - Hopper " ;
   : row {
     key = "t_fdia" ;
         : column {
            bigdialimag;
         }
         : column {
             key = "t-dialinput" ;
             width=20;
             : boxed_column {
               key = "tgener1" ;
               label = "Bottom" ;
               x1_box;
               y1_box;
             }
             : boxed_column {
               key = "tgener2" ;
               label = "Top" ;
               x2_box;
               y2_box;
             }
             : boxed_column {
               key = "tmeas" ;
               label = "Other measures" ;
               t_box;
               h_box;
               xoff_box;
               yoff_box;
             }
         }
    }
    : row {
      errtile;
    }
    :row {
      ok_cancel;
    }
}
dl32 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangle to Rectangle - Cut " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
: boxed_row {
    key = "t-cuttname" ;
    label = "Cutting planes " ;
    plane1_but;
    plane2_but;
}
        }
      : column {
         key = "t-dialinput" ;
           : boxed_column {
      key = "tgener1" ;
      label = "Bottom" ;
x1_box;
y1_box;
}
: boxed_column {
      key = "tgener2" ;
      label = "Top" ;
x2_box;
y2_box;
}
      : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
   }
}
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [4] -------
//
dl20 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Inlet on Cone " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_radio_row {
             label = "Inlet development" ;
             half_rad;
             tot_rad;
}
        }
      : column {
         key = "t-dialinput" ;
          : boxed_column {
            key = "tinmeas" ;
            label = "Inlet measures" ;
            t_box;
            h1_box;
            d_box;
            l_box;
         }
         : boxed_column {
            key = "tcomeas" ;
            label = "Cone measures" ;
            d1_box;
            d2_box;
            h_box;
         }
      }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl19 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Inlet on Cone " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
         key = "t-dialinput" ;
          : boxed_column {
            key = "tinmeas" ;
            label = "Inlet measures" ;
            t_box;
            h1_box;
            d_box;
            l_box;
         }
         : boxed_column {
            key = "tcomeas" ;
            label = "Cone measures" ;
            d1_box;
            d2_box;
            h_box;
         }
      }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl30 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangular duct - Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
: column {
            x1_box;
            y1_box;
            t_box;
            t1_box;
            woff_box;
}
: column {
            l_box;
            l1_box;
            r1_box;
            a_box;
}
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: cones + inlets -------
//
dl26 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Intersection - Cone with rectangular duct" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
        bigdialimag;
         : boxed_row {
            label="Inlet possition";
            : column {
            h1_box;
            a_box;
            }
            : column {
            yoff_box;
            }
         }
      }
      : column {
          : boxed_column {
            label = "Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
          }
          : boxed_column {
            label = "Inlet";
            width=20;
            x1_box;
            y1_box;
            r1_box;
            t1_box;
            l_box;
            a1_box;
            }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl25 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Intersection - Cone with rectangular duct" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_row {
              label="Inlet possition";
              xoff_box;
              yoff_box;
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
  }
}
: boxed_row {
label="Inlet";
   : column {
            width=20;
            x1_box;
            y1_box;
            r1_box;
            t1_box;
            h1_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl22 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Intersection - Cone with round duct" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_row {
               label="Inlet possition";
                : column {
                     width=20;
                     xoff_box;
                }
                : column {
                     width=20;
                     yoff_box;
                }
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
  }
}
: boxed_row {
label="Inlet";
   : column {
            width=20;
            d_box;
            t1_box;
            h1_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl23 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Intersection - Cone with round duct" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
      }
      : column {
          : boxed_column {
            label="Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
          }
          : boxed_column {
            label="Inlet";
            width=20;
            d_box;
            t1_box;
            l_box;
            a1_box;
          }
      }
   }
   : boxed_row {
            label="Inlet possition";
            h1_box;
            yoff_box;
            a_box;
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
dlp1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Plane 1 - Cuts off what is below" ; /* Plane 2 ... above */
: column {
   : boxed_row {
      label = "Point P1" ;
      px1_box;
      py1_box;
      pz1_box;
   }
   : boxed_column {
    label = "and" ;
      : boxed_row {
          label = "Points P2 and P3" ;
        : column {
          px2_box;
          px3_box;
        }
        : column {
          py2_box;
          py3_box;
        }
        : column {
          pz2_box;
          pz3_box;
        }
      }
   : text {
         label = "or" ;
   }
      : boxed_row {
        label = "Angles relative to axes X and Y" ;
           ax_box;
           ay_box;
      }
}
}
   :row {
      errtile;
   }
   :row {
//--------      nocut_but;  ---- por ahora se obvia
      ok_cancel;
   }
}
dl2unp : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Offset Cone - Unparallel" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            h_box;
            a_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl3dif : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Round to Round Bifurcation - Non symmetrical " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
     : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Measures" ;
            t_box;
            d_box;
         }
      : boxed_column {
            label = "Top rigth" ;
            d1_box;
            h1_box;
            x1_box;
         }
      : boxed_column {
            label = "Top left" ;
            d2_box;
            h_box;
            x2_box;
         }
       }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl5unp : dialog { 
  key = "t-dlname" ;
  label = "LITIO - Rectangle to Round - Offset - Unparallel" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            label = "Top" ;
            d2_box;
            a_box;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Other measures" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}